Bug 678923 - LXDM (and @lxde-desktop group in general) doesn't have enough dependencies
LXDM (and @lxde-desktop group in general) doesn't have enough dependencies
Product: Fedora
Classification: Fedora
Component: lxdm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-02-20 16:14 EST by Hedayat Vatankhah
Modified: 2011-05-16 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.5.5-0.1.20110328git87c368d7.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-05-16 12:53:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hedayat Vatankhah 2011-02-20 16:14:40 EST
Description of problem:
Install a Fedora minimal installation, and then install @lxde-desktop group. You expect to be able to use LXDE desktop. However, this group has apparently many missing dependencies. Since, even Xorg server is not installed. Also, no fonts are installed too. 

How reproducible:

Steps to Reproduce:
1. Do a Fedora install using the installation media. Select minimal install
2. yum install @lxde-desktop
Actual results:
You endup with a non-functional LXDE desktop due to missing dependencies (mainly: X server, some fonts, and probably alsa-plugins-pulseaudio).

Expected results:
You should have a working LXDE desktop

Additional info:
I don't know if I should fill extra bug reports to fix all dependency issues, but it seems that lxdm should both depend on some fonts and also X server to be functional.
Comment 1 Christoph Wickert 2011-02-20 19:48:58 EST
Thanks for the hint. For a start, xorg-x11-server-utils and xorg-x11-xinit seem ok. Not sure about the fonts though. I tried gdm and it doesn't pull in any fonts ether. I need to figure out this a little.
Comment 2 Hedayat Vatankhah 2011-02-21 10:33:25 EST
Well, I've tried yum groupremove fonts and surprisingly, it didn't tried to remove neither GNOME nor KDE. So, they also do not depend of fonts and there are very rare packages who depend on fonts (e.g. openoffice). 
So, this is a bug against all desktop environments (not sure about XFCE). Anyway, certainly any -desktop group should pull Fonts group too (since IMHO a desktop environment is useless without fonts). I wonder if it is possible to have group dependencies in comps.xml...
Comment 3 Christoph Wickert 2011-02-21 11:21:11 EST
I think that these desktops should require *some* fonts but not the whole group. We'd need conditionals in comps, depending on if/which language support was selected, it needs to pull in the required fonts. Definitely not trivial... :(
Comment 4 Hedayat Vatankhah 2011-02-21 11:53:31 EST
AFAIK, the fonts group's default font packages are the minimum set of fonts which is assumed to be required on a desktop. language specific fonts are included in language support groups and will be used by the installer if required. IIRC, yum also automatically installs language specific packages when running in a specific locale. So I think pulling the whole fonts group is reasonable (I'm a member of Fonts SIG and has been around these issues for a while). The fonts group pulls a minimum set of fonts by default which is enough to support almost all scripts with selected default fonts.
You might contact others for more reliable information too since I might be a little mistaken on some aspects.
Comment 5 Christoph Wickert 2011-02-21 12:28:23 EST
(In reply to comment #4)
> AFAIK, the fonts group's default font packages are the minimum set of fonts
> which is assumed to be required on a desktop. language specific fonts are
> included in language support groups and will be used by the installer if
> required.

28 fonts doesn't look minimal.
Comment 6 Hedayat Vatankhah 2011-02-21 12:52:08 EST
:) As I said, you can check with someone more knowledgeable in Fonts SIG. But I think these 28 fonts are currently assumed to be minimal for providing a good support for different scripts (e.g. PakType fonts are considered for Arabic family scripts, wqy-zenhei-fonts for Chinese and vlgothic-fonts for Japanese). In fact, the list is still incomplete and more fonts will be added to be "default". 
If some of the fonts are excessive, I think it can be reported as a bug. 

Anyway, if you think it is better, I can bring up this issue in the fonts SIG  mailing list. Maybe it's even their job to fix this issue in the distribution, specially that it is not limited to LXDE?
Comment 7 Hedayat Vatankhah 2011-02-21 16:29:38 EST
Now I can talk for sure that the whole Fonts group should be pulled in:
Comment 8 Christoph Wickert 2011-03-24 20:59:45 EDT
I have now added:

However I am not going to add any fonts regardless of what design folks might say. We have been discussing a similar issue on fedora-devel and notting said, that @base-x is always assumed to be there. Adding a dependency on a groups is impossible anyway and hardcoding particular fonts doesn't make sense. I'm not going to force people to install say Indian or Chinese fonts if they cannot speak these languages and will never use them.
Comment 9 Fedora Update System 2011-03-27 20:41:11 EDT
lxde-common-0.5.5-0.1.20110328git87c368d7.fc15 has been submitted as an update for Fedora 15.
Comment 10 Fedora Update System 2011-03-31 16:05:26 EDT
lxde-common-0.5.5-0.1.20110328git87c368d7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.